import { OnInit, SimpleChanges, OnChanges } from '@angular/core';
import { SharedService } from '../../../../shared/service/shared.service';
import { DomSanitizer } from '@angular/platform-browser';
import { QuizService } from '../../../../shared/service/quiz.service';
import { SummaryBase } from '../summary-base';
import { SummaryData } from '../../../../shared/models';
export declare class FigureLabelingSummaryComponent extends SummaryBase implements OnInit, OnChanges {
    sharedService: SharedService;
    private quizService;
    private _DomSanitizationService;
    question: SummaryData;
    ngOnChanges(changes: SimpleChanges): void;
    constructor(sharedService: SharedService, quizService: QuizService, _DomSanitizationService: DomSanitizer);
    ngOnInit(): void;
    getAnswers(): boolean;
    loadImagePath(assetType: any, slide: any): any;
}
